## gtk+1.2 1.2.10+20241214

=== debian/changelog ===
gtk+1.2 (1.2.10+20241214-1) unstable; urgency=low

  * New release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Updating package to standards version 4.7.3.
  * Updating package to debhelper 13.
  * Moved sections to oldlib.
  * Build-depends on x11proto-core-dev instead of x-dev
  * Drop obsolete Conflicts/Replaces/Pre-Depend
  * libgtk1.2-dev: Depends on pkgconf instead of pkg-config
  * libgtk1.2-doc.doc-base: do not reference text version of the documentation
  * Remove -dbg package
  * Do not install gtk-config, this tool is obsolete.
  * Minimizing d/rules file.

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 13 Jan 2026 18:22:06 +0100

gtk+1.2 (1.2.10-18.1) unstable; urgency=high

  * 0-day NMU, authorized by one of the package uploaders (Marc
    Brockschmidt).
  * High-urgency upload for RC bugfix.
  * Replace use of deprecated ${Source-Version} substvar with
    ${source:Version} or ${binary:Version} according to the use, making
    the package installable in the face of binNMUs.  Closes: #433253.

 -- Steve Langasek <vorlon@debian.org>  Sun, 15 Jul 2007 14:31:11 -0700

gtk+1.2 (1.2.10-18) unstable; urgency=low

  * GNOME team upload.
  * Add a static list of Uploaders for the GNOME team.
  * Update Catalan translation.
  * Cloak k*bsd-gnu systems as gnu to enable building on GNU/k*BSD. Normal
    updating of libtool appears to be troublesome (thanks Robert Millan;
    closes: #195921).
  * Patch gtk.m4 and acgtk.m4 to silence newer aclocal versions
    (closes: #267815).
  * Patch the file selector to do file autocompletion like every other
    application (thanks, Matt Zimmerman, even if you don't care at all
    only because the patch is 3 years old and everyone is using GTK2
    anyway :) closes: #148565).

 -- Jordi Mallach <jordi@debian.org>  Thu,  6 Oct 2005 11:42:08 +0200

gtk+1.2 (1.2.10-17) unstable; urgency=low

  * debian/control:
    - updated the build-depends for the separated xlibs-dev.
      (closes: Bug#241781)
    - updated the Depends of libgtk1.2-dev for the separated xlibs-dev.
      (closes: Bug#254694, 241507)

 -- Akira TAGOH <tagoh@debian.org>  Wed, 23 Jun 2004 22:18:58 +0900

gtk+1.2 (1.2.10-16) unstable; urgency=low

  * updated libtool stuff. (closes: Bug#195827)
    - acgtk.m4: moved some m4 macros from acinclude.m4.
    - acinclude.m4: removed.
    - configure.in: add AC_PREREQ(2.13)
    - ltconfig: removed.

 -- Akira TAGOH <tagoh@debian.org>  Thu,  5 Jun 2003 12:54:52 +0900

gtk+1.2 (1.2.10-15) unstable; urgency=low

  * debian/control:
    - bumped Standards-Version to 3.5.10.0.
    - depends on versioned libgtk1.2-common.
    - changed the sections for libgtk1.2-dev and libgtk1.2-dbg to libdevel.
  * debian/compat:
    - use it instead of DH_COMPAT.
  * debian/rules:
    - support noopt for DEB_BUILD_OPTIONS.
  * debian/FAQ.Debian:
    - add xfonts-*-transcoded stuff. Thanks to Kovacs Baldvin
      <baldvin@angel.elte.hu>
  * debian/libgtk1.2-common.postinst:
    - do remove the unnecessary gtkrc files. (closes: Bug#159817)
  * gtk/Makefile.in:
    - fix the undefined non-weak symbols. (closes: Bug#187351)
  * gdk/gdkfont.c:
    - fix possibly unnecessary missing fontset warning on UTF-8 locale.
      (closes: Bug#186025)

 -- Akira TAGOH <tagoh@debian.org>  Sun,  1 Jun 2003 10:59:28 +0900

gtk+1.2 (1.2.10-14) unstable; urgency=low

  * debian/control: s/Recommends/Suggests/ for devhelp-book-gtk.

 -- Akira TAGOH <tagoh@debian.org>  Thu, 22 Aug 2002 19:33:00 +0900

gtk+1.2 (1.2.10-13) unstable; urgency=low

  * debian/control: add devhelp-book-gtk to Recommends. (closes: Bug#148354)
  * gtk/gtkentry.c: applied a patch to fix a segfault bug in
    gtk_entry_set_selection(). Thanks Jan Gregor.
  * gtk/gtkrc.zh_{CN,TW}: changed a font size for iso8859-1 to 12 Geoffrey Lee
    suggested. (closes: Bug#157739)

 -- Akira TAGOH <tagoh@debian.org>  Thu, 22 Aug 2002 02:50:14 +0900

gtk+1.2 (1.2.10-12) unstable; urgency=low

  * Applied some patches from RH.
    - gdk/gdkselection.c: don't screw up CTEXT for UTF-8 locales.
    - gtk/gtkfilesel.c: fix delete-filename-on-dir-change problem. (closes:
      Bug#106897)
    - gdk/gdkevents.c: improve expose compression.
    - gdk/gdkfont.c: fix problem with width computation for missing
      characters.
    - gdk/gdkfont.c: improve warning for missing fontset elements.
    - gtk/gtkstyle.c: fix refcounting problem in gtk_style_copy() that might
      affect theme switching.
    - gtk/gtkwindow.c: fix for theme switching.
  * debian/FAQ.Debian: update.

 -- Akira TAGOH <tagoh@debian.org>  Mon, 13 May 2002 03:47:10 +0900

gtk+1.2 (1.2.10-11) unstable; urgency=low

  * Add gtkfaq-[89].html (closes: Bug#142682)

 -- Akira TAGOH <tagoh@debian.org>  Mon, 15 Apr 2002 02:19:49 +0900

gtk+1.2 (1.2.10-10) unstable; urgency=low

  * Fixed typo in FAQ (closes: Bug#30034)
  * Fixed typo in tutorial (closes: Bug#113079)
  * debian/FAQ.Debian: Added.
  * debian/libgtk1.2-doc.info: added. fix running install-info on postinst
    (closes: Bug#135981)
  * debian/rules: changed as the following:
    - support DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE.
    - support debug and nostrip for DEB_BUILD_OPTIONS.
    - copying the latest config.sub and config.guess.
  * gtkrc.utf-8: add arial font. (closes: Bug#135354)

 -- Akira TAGOH <tagoh@debian.org>  Fri, 22 Mar 2002 08:32:55 +0900

gtk+1.2 (1.2.10-9) unstable; urgency=medium

  * Fixed the duplicate conffiles.
  * Fixed symlink transition for -dbg. (closes: Bug#125596)
  * Fixed Gtk?Paned widget misdisplayed on Alpha again...
    (closes: Bug#123579)
  * Fixed a correct entry for gtkrc.utf-8. (closes: Bug#114934)

 -- Akira TAGOH <tagoh@debian.org>  Thu, 20 Dec 2001 01:48:29 +0900

gtk+1.2 (1.2.10-8) unstable; urgency=low

  * Fixed fails to purge cleanly (closes: Bug#122745)
  * Note: Don't use --enable-debug=yes.
    it give us any strange problem.

 -- Akira TAGOH <tagoh@debian.org>  Fri,  7 Dec 2001 16:41:39 +0900

gtk+1.2 (1.2.10-7) unstable; urgency=low


