=== debian/control ===
Source: gtk+1.2
Section: oldlibs
Maintainer: Sébastien Noel <sebastien@twolife.be>
Homepage: https://github.com/twolife/gtk-1.2/
Build-Depends: debhelper-compat (= 13), gettext, pkgconf, libglib1.2-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, x11proto-core-dev
Standards-Version: 4.7.3

Package: libgtk1.2
Architecture: any
Multi-Arch: same
Depends: libgtk1.2-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GIMP Toolkit set of widgets for X
 The GIMP Toolkit is a freely available set of widgets for X.
 GTK is easy to use, and has been implemented in such projects as
 The GNU Image Manipulation Program (The GIMP), GNOME, a GNU
 desktop set of utilities for X, and gzilla, a GNU web-browser.

Package: libgtk1.2-dev
Architecture: any
Section: libdevel
Depends: libgtk1.2 (= ${binary:Version}), libglib1.2-dev, libx11-dev, libxext-dev, libxi-dev, pkgconf, ${misc:Depends}
Suggests: libgtk1.2-doc
Description: Development files for the GIMP Toolkit
 This package contains the header files and static libraries for the
 GIMP Toolkit set of widgets for X.
 .
 Install this package if you wish to develop your own X programs using
 the GIMP Toolkit 1.2, or if you wish to compile your own plug-ins for
 The GIMP.

Package: libgtk1.2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp-book-gtk
Description: Documentation for the GIMP Toolkit
 This package contains lots of info-files, HTML docs, FAQs, and
 other handy documentation about the GIMP Toolkit set of widgets
 for X.
 .
 Install this package if you want to have lots of info about the
 GIMP toolkit when you're programming.

Package: libgtk1.2-common
Architecture: all
Multi-Arch: foreign
Replaces: libgtk1.2 (<< 1.2.10-4)
Depends: ${misc:Depends}
Description: Common files for the GTK+ library
 The GIMP Toolkit is a freely available set of widgets for X.
 GTK is easy to use, and has been implemented in such projects as
 The GNU Image Manipulation Program (The GIMP), GNOME, a GNU
 desktop set of utilities for X, and gzilla, a GNU web-browser.
 .
 This package contains the common files which the runtime libraries
 need.
