=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=abi=+lfs hardening=+all

# This older codebase is not compatible with gcc-15's default C23 standards compliance
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -- --with-xinput=xfree

override_dh_auto_install:
	dh_auto_install
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`

override_dh_installdocs:
	dh_installdocs -a
	dh_installdocs -i
	dh_installdocs -plibgtk1.2-doc --doc-main-package=libgtk1.2-doc docs/debugging.txt docs/developers.txt docs/styles.txt docs/text_widget.txt docs/widget_system.txt docs/gtk-config.txt docs/refcounting.txt docs/Changes-1.2.txt docs/generation.txt

override_dh_installexamples:
	dh_installexamples
	rm $(CURDIR)/debian/libgtk1.2-dev/usr/share/doc/libgtk1.2-dev/examples/find-examples.sh

override_dh_makeshlibs:
	dh_makeshlibs -plibgtk1.2 -V "libgtk1.2 (>= 1.2.10-4)"
