=== debian/watch ===
Version: 5
Mode: git
Pgpmode: none
Source: https://github.com/twolife/gtk-1.2.git
Matching-Pattern: HEAD
Git-Pretty: 1.2.10+%cd
